
TYPO3.Fluid - Bug # 2824

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category:
Created: 2009-03-11 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: TemplateView can't be easily extended
Description

When using custom views that extend F3\Fluid\View\TemplateView the required cache backend is not properly initialized because
FLOW3s dependency injection is active only for configured classes, not their subclasses.
First I thought this was a bug in the DI mechanism. Meanwhile I'm not sure anymore and I don't know, how other DI-frameworks
handle this issue.

A solution would be to extract cache handling into an AOP aspect which is active for subclasses too. Patch follows.

Associated revisions
Revision 20ecdb60 - 2009-03-17 14:23 - Sebastian Kurfuerst
Fluid:
    -  Fixed bug #2824: Caching of TemplateView is now handled in an aspect, and can be switched on or off.

History
#1 - 2009-03-11 23:49 - Bastian Waidelich
- File Fluid_2824.patch added

Attached is a patch that extracts syntax tree cache handling into an AOP aspect. I've added an Interface to be able to activate the advice for all
implementing classes.
To be able to deactivate caching during development, I've added a Settings.yaml - The caching aspect will only be active if
Fluid.syntaxTreeCache.enable is set.
Note: I couldn't verify whether this patch breaks any unit tests, as my test runner does not work at the moment.
Note²: Please double-check the Patch. Windows creates diffs with CRLF line-endings

#2 - 2009-03-17 14:24 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Assigned To set to Sebastian Kurfuerst

committed :-) Thanks Bastian!

Files
Fluid_2824.patch 11.5 kB 2009-03-11 Bastian Waidelich
